Bug 25940 - Error on install creating swap partition.
Summary: Error on install creating swap partition.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-04 02:36 UTC by David
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-08 20:45:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David 2001-02-04 02:36:03 UTC
I was installing RedHat 7 on a clean disk.  I got it twice.  I think it 
had something to do with formating the swap partition.  I will cut and 
paste the error below..

Lets see...  It was on a Gateway P3-450 and the HD was a Quantum Fireball 
SE 3GB.  Feel free to write for more details. doneal@acxiom.com

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in 
doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "fstab.py", line 715, in mountFilesystems
    raise SystemError, (errno, msg)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
size: 4972086
fsystem: ext2
self: <fstab.GuiFstab instance at 84baef8>
msg: Invalid argument
doFormat: 1
errno: 22
device: hda5
instPath: /mnt/sysimage
mntpoint: /

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Comment 1 Michael Fulbright 2001-02-06 18:48:44 UTC
Please give details on how you partitioned the disk, and any other unusual steps
you might have taken (going back/forwards through screens more than once,etc).

Comment 2 David 2001-02-06 20:04:16 UTC
I chose  install workstation.  I chose the automatic partioning tool.  One 
really odd thing after I finally broke down and read some documentation for 
fdisk and used manual fdisk it was showing my 3.2 G drive with 8GB free.  I 
finally got everything working when I used fdisk to manually partion the disk 
into the linux swap and native linux partitions, NOT AS REMAINING but using 
something like +2900M argument to specify that I only wanted a 2900MB partion. 

My guess is that the driver/linux expected the wrong # of cylinders or the 
wrong #of bytes per cylinder/track some how screwballing the calculation of HD 
space.

The HD is a QUANTUM FIREBALL SE 3.2G and whatever drivers came with linux 
apparently worked because I did nothing special.  It was assigned as master 
plugged directly into the mother board.  (I have another HD (also master) 
plugged into an ATA66/PCI controller card.  It was never detected.  I'm 
guessing that linux did not find a suitable driver for the controller card.)

Comment 3 Michael Fulbright 2001-02-08 18:18:48 UTC
Could you please tell me what

cat /proc/ide/hda/geometry

says on the system when installed?

Comment 4 Michael Fulbright 2001-03-05 22:46:03 UTC
Closing due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.